Loading...
Searching...
No Matches
pcl::NormalBasedSignature12 Struct Reference
Module common

A point structure representing the Normal Based Signature for a feature matrix of 4-by-3. More...

`#include <pcl/impl/point_types.hpp>`

## Public Member Functions

constexpr | NormalBasedSignature12 ()=default

## Public Attributes

float | values [12] = {0.f}

## Friends

std::ostream & | operator<< (std::ostream &os, const NormalBasedSignature12 &p)

## Detailed Description

A point structure representing the Normal Based Signature for a feature matrix of 4-by-3.

Definition at line 1277 of file point_types.hpp.

## Constructor & Destructor Documentation

## NormalBasedSignature12()

pcl::NormalBasedSignature12::NormalBasedSignature12 | ( |  | ) |

inline constexpr default

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const NormalBasedSignature12 & | p )

friend

References NormalBasedSignature12().

## Member Data Documentation

## values

float pcl::NormalBasedSignature12::values[12] = {0.f}

Definition at line 1279 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp